function [t,x]=calculate_h(gain_k, gain_ki, distance_d, setpoint_wc, time_tf, pert_delta, choix_axe, pert_oscill)

global k
global ki
global T
global delta
global h
global wc
global oscill
h=distance_d;
x0=[h 0]';	%%position et vitesse initiale
k=gain_k;
ki=gain_ki;
wc=setpoint_wc;
delta=pert_delta;
oscill=pert_oscill;

   
[t,x]=ode23('modele_h',[0 time_tf],x0);

hold on
if (choix_axe==1)
    plot(t,x(:,1)-oscill(1)*sin(2*pi*oscill(2)*t))
    plot(t,distance_d*exp(-wc*t),'r')
    xlabel('time (s)')
    ylabel('position h (m)')
elseif (choix_axe==2)
    plot(t,-(x(:,2)-oscill(1)*(2*pi*oscill(2))*cos(2*pi*oscill(2)*t))./(x(:,1)-oscill(1)*sin(2*pi*oscill(2)*t)))
    plot(t,ones(1,length(t))*wc,'r')
    xlabel('time (s)')
    ylabel('OpticalFlow w')
end
hold off


% figure
% subplot(2,2,[1 2])
%     hold on
%     plot(t,-(x(:,2)-oscill(1)*(2*pi*oscill(2))*cos(2*pi*oscill(2)*t))./(x(:,1)-oscill(1)*sin(2*pi*oscill(2)*t)))
%     plot(t,ones(1,length(t))*wc,'--r')
%     legend('vertical optical flow','Location','South')
%     XLABEL('time (s)')
%     YLABEL('OpticalFlow wz')
%     hold off
% subplot(2,2,3)
%     hold on
%     plot(t,x(:,1)-oscill(1)*sin(2*pi*oscill(2)*t))
%     plot(t,zeros(length(t)),'k')
%     legend('height h=-z+z_G','Location','North')
%     AXIS([0 t(length(t)) -0.15 distance_d])
%     XLABEL('time (s)')
%     YLABEL('height h (m)')
%     hold off
% subplot(2,2,4)
%     hold on
%     plot(t,x(:,1))
%     plot(t,oscill(1)*sin(2*pi*oscill(2)*t),'k')
%     legend('position  -z','Location','North')
%     AXIS([0 t(length(t)) -0.15 distance_d])
%     XLABEL('time (s)')
%     YLABEL('position (-z) (m)')
%     hold off
% 
% print -depsc land_sim
