
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%DEBUT DE LA FONCTION PRINCIPALE%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function gui_nested_func

global t;
global x;

% Cration de l'objet Figure
handles(1)=figure('units','pixels',...
    'position',[100 100 1000 500],...
    'color',[0.925 0.913 0.687],...
    'numbertitle','off',...
    'name','Landing Simulation',...
    'menubar','none',...
    'tag','interface');

%Cration de l'objet Uicontrol Text rsultat
handles(2)=uicontrol('style','popupmenu',...
    'units','normalized',...
    'position',[0.01 0.90 0.5 0.06],...
    'string',{'P controller' 'P controller + perturbation' 'PI controller + perturbation' 'PI controller + perturbation + oscillation'},...
    'value',1,...
    'fontsize', 14,...
    'tag','resultat');

% Cration de l'objet Uicontrol Text rsultat
handles(3)=uicontrol('style','edit',...
    'units','normalized',...
    'position',[0.1 0.85 0.1 0.03],...
    'string', 1,...
    'callback',@changer,...
    'tag','gain_k');
%Cration de l'objet Uicontrol Text rsultat
handles(4)=uicontrol('style','text',...
    'units','normalized',...
    'position',[0.01 0.85 0.09 0.03],...
    'string','k = 1',...
    'tag','resultat_k');

% Cration de l'objet Uicontrol Text rsultat
handles(5)=uicontrol('style','edit',...
    'units','normalized',...
    'position',[0.1 0.8 0.1 0.03],...
    'string', 0.5,...
    'callback',@changer,...
    'tag','setpoint_wc');
%Cration de l'objet Uicontrol Text rsultat
handles(6)=uicontrol('style','text',...
    'units','normalized',...
    'position',[0.01 0.8 0.09 0.03],...
    'string','wc = 0.5',...
    'tag','resultat_wc');

% Cration de l'objet Uicontrol Text rsultat
handles(7)=uicontrol('style','edit',...
    'units','normalized',...
    'position',[0.1 0.75 0.1 0.03],...
    'string', 1,...
    'callback',@changer,...
    'tag','distance_d');
%Cration de l'objet Uicontrol Text rsultat
handles(8)=uicontrol('style','text',...
    'units','normalized',...
    'position',[0.01 0.75 0.09 0.03],...
    'string','do = 1',...
    'tag','resultat_d');

%Cration de l'objet Uicontrol Text rsultat
handles(9)=uicontrol('style','edit',...
    'units','normalized',...
    'position',[0.1 0.7 0.1 0.03],...
    'string','10',...
    'callback',@changer,...
    'tag','tf');
%Cration de l'objet Uicontrol Text rsultat
handles(10)=uicontrol('style','text',...
    'units','normalized',...
    'position',[0.01 0.7 0.09 0.03],...
    'string','tf = 10',...
    'tag','resultat_tf');

% Cration de l'objet Uicontrol Text rsultat
handles(11)=uicontrol('style','edit',...
    'units','normalized',...
    'position',[0.3 0.85 0.1 0.03],...
    'string', 0.2,...
    'callback',@changer,...
    'tag','delta');
%Cration de l'objet Uicontrol Text rsultat
handles(12)=uicontrol('style','text',...
    'units','normalized',...
    'position',[0.21 0.85 0.09 0.03],...
    'string','delta = 0.2',...
    'tag','resultat_delta');

% Cration de l'objet Uicontrol Text rsultat
handles(13)=uicontrol('style','edit',...
    'units','normalized',...
    'position',[0.3 0.80 0.1 0.03],...
    'string', 100,...
    'callback',@changer,...
    'tag','gain_k');
%Cration de l'objet Uicontrol Text rsultat
handles(14)=uicontrol('style','text',...
    'units','normalized',...
    'position',[0.21 0.80 0.09 0.03],...
    'string','ki = 100',...
    'tag','resultat_ki');

% Cration de l'objet Uicontrol Text rsultat
handles(15)=uicontrol('style','edit',...
    'units','normalized',...
    'position',[0.3 0.75 0.1 0.03],...
    'string', 1,...
    'callback',@changer,...
    'tag','freq_sol');
%Cration de l'objet Uicontrol Text rsultat
handles(16)=uicontrol('style','text',...
    'units','normalized',...
    'position',[0.21 0.75 0.09 0.03],...
    'string','fs = 1',...
    'tag','resultat_freq');

% Cration de l'objet Uicontrol Text rsultat
handles(17)=uicontrol('style','edit',...
    'units','normalized',...
    'position',[0.3 0.70 0.1 0.03],...
    'string', 0.1,...
    'callback',@changer,...
    'tag','gain_sol');
%Cration de l'objet Uicontrol Text rsultat
handles(18)=uicontrol('style','text',...
    'units','normalized',...
    'position',[0.21 0.70 0.09 0.03],...
    'string','ks = 0.1',...
    'tag','resultat_gain');

%Cration de l'objet Uicontrol Text rsultat
handles(100)=uicontrol('style','popupmenu',...
    'units','normalized',...
    'position',[0.15 0.56 0.2 0.05],...
    'string',{'Height h' 'Optical Flow w'},...
    'value',1,...
    'fontsize', 14,...
    'tag','resultat');

% Cration de l'objet Uicontrol Pushbutton -
handles(101)=uicontrol('style','pushbutton',...
    'units','normalized',...
    'position',[0.01 0.63 0.19 0.05],...
    'string','Calculate',...    
    'callback',@calculate,...
    'tag','calculate');

% Cration de l'objet Uicontrol Pushbutton -
handles(102)=uicontrol('style','pushbutton',...
    'units','normalized',...
    'position',[0.21 0.63 0.19 0.05],...
    'string','Replay',...    
    'callback',@replay,...
    'tag','replay');

handles(103)=axes('units','normalized',...
    'position',[0.05 0.08 0.45 0.45],...
    'tag','axes1');

handles(104)=axes('units','normalized',...
    'position',[0.55 0.1 0.4 0.85],...
    'box', 'off',...
    'visible', 'off',...
    'Xlim', [0 1],...
    'Ylim', [-0.03-0.3 1.2],...
    'tag','axes1');
drone=imread('drone.png','BackgroundColor',[0.925 0.913 0.687]);
sol=imread('sol.jpg');
handles(105)=image('cdata',drone,...
    'CDataMapping', 'direct',...
    'xdata', [0.65 0.35],...
    'ydata', [1.1 1]);
handles(106)=image('cdata',sol,...
    'CDataMapping', 'direct',...
    'xdata', [1 0],...
    'ydata', [-0.03 0]);



% % Cration de l'objet Uicontrol Pushbutton +
% handles(3)=uicontrol('style','pushbutton',...
%     'units','normalized',...
%     'position',[0.3 0.1 0.1 0.05],...
%     'string','+',...    
%     'callback',@ajouter,...
%     'tag','bouton+');


    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
	%DEBUT DE LA FONCTION IMBRIQUEE CHANGER%
	%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
	
	function changer(obj,event)
	
    sliderValue = get(handles(3),'string');
    % Diminution de la valeur de nCompteur
	sliderValue=str2num(sliderValue);
    % Actualisation de la proprit String de l'objet Uicontrol Text rsultat
    result=num2str(sliderValue);
    result=['k = ',result];
	set(handles(4),'string',result);
    
    sliderValue = get(handles(5),'string');
    % Diminution de la valeur de nCompteur
	sliderValue=str2num(sliderValue);
    % Actualisation de la proprit String de l'objet Uicontrol Text rsultat
    result=num2str(sliderValue);
    result=['wc = ',result];
	set(handles(6),'string',result);
    
    sliderValue = get(handles(7),'string');
    % Diminution de la valeur de nCompteur
	sliderValue=str2num(sliderValue);
    % Actualisation de la proprit String de l'objet Uicontrol Text rsultat
    result=num2str(sliderValue);
    result=['do = ',result];
	set(handles(8),'string',result);
    
    sliderValue = get(handles(9),'string');
    % Diminution de la valeur de nCompteur
	sliderValue=str2num(sliderValue);
    % Actualisation de la proprit String de l'objet Uicontrol Text rsultat
    result=num2str(sliderValue);
    result=['tf = ',result];
	set(handles(10),'string',result);
    
    sliderValue = get(handles(11),'string');
    % Diminution de la valeur de nCompteur
	sliderValue=str2num(sliderValue);
    % Actualisation de la proprit String de l'objet Uicontrol Text rsultat
    result=num2str(sliderValue);
    result=['delta = ',result];
	set(handles(12),'string',result);
    
    sliderValue = get(handles(13),'string');
    % Diminution de la valeur de nCompteur
	sliderValue=str2num(sliderValue);
    % Actualisation de la proprit String de l'objet Uicontrol Text rsultat
    result=num2str(sliderValue);
    result=['ki = ',result];
	set(handles(14),'string',result);
    
    sliderValue = get(handles(15),'string');
    % Diminution de la valeur de nCompteur
	sliderValue=str2num(sliderValue);
    % Actualisation de la proprit String de l'objet Uicontrol Text rsultat
    result=num2str(sliderValue);
    result=['fs = ',result];
	set(handles(16),'string',result);
    
    sliderValue = get(handles(17),'string');
    % Diminution de la valeur de nCompteur
	sliderValue=str2num(sliderValue);
    % Actualisation de la proprit String de l'objet Uicontrol Text rsultat
    result=num2str(sliderValue);
    result=['ks = ',result];
	set(handles(18),'string',result);
	
    end

	%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
	%FIN DE LA FONCTION IMBRIQUEE CHANGER%
	%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

	%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
	%DEBUT DE LA FONCTION IMBRIQUEE CALCULATE%
	%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
	
	function calculate(obj,event)
        
        choix_loi=get(handles(2),'value');
        choix_axe= get(handles(100),'value');
        
        gain_k= str2num(get(handles(3),'string'));
        distance_d= str2num(get(handles(7),'string'));
        setpoint_wc= str2num(get(handles(5),'string'));
        time_tf= str2num(get(handles(9),'string'));
        pert_delta=str2num(get(handles(11),'string'));
        gain_ki=str2num(get(handles(13),'string'));
        freq_sol=str2num(get(handles(15),'string'));
        gain_sol=str2num(get(handles(17),'string'));
           
        axes(handles(103));
        cla
        
        if (choix_loi==1)
            [t,x]=calculate_h(gain_k, 0, distance_d, setpoint_wc, time_tf, 0, choix_axe, [0 0]);
        elseif (choix_loi==2)
            [t,x]=calculate_h(gain_k, 0, distance_d, setpoint_wc, time_tf, pert_delta, choix_axe, [0 0]);
        elseif (choix_loi==3)
            [t,x]=calculate_h(gain_k, gain_ki, distance_d, setpoint_wc, time_tf, pert_delta, choix_axe, [0 0]);
        elseif (choix_loi==4)
            [t,x]=calculate_h(gain_k, gain_ki, distance_d, setpoint_wc, time_tf, pert_delta, choix_axe, [gain_sol freq_sol]);
        end
        
        
    end

	%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
	%FIN DE LA FONCTION IMBRIQUEE CALCULATE%
	%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
	%DEBUT DE LA FONCTION IMBRIQUEE REPLAY%
	%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
	
	function replay(obj,event)
	
        distance_d= str2num(get(handles(7),'string'));
        freq_sol=str2num(get(handles(15),'string'));
        gain_sol=str2num(get(handles(17),'string'));
        choix_loi=get(handles(2),'value');
        
        axes(handles(104));
        %range_X=max(x(:,1));
        n=length(x(:,1));
        Te=0.02;
        j=2;
        ty=[0];
        y=[x(1,1)];
        while j<=n
            dt=(t(j)-t(j-1));
            dx=x(j,1)-x(j-1,1);
            k=j+1;
            while (dt<Te & k<=n)
                dt=dt+(t(k)-t(k-1));
                dx=dx+(x(k,1)-x(k-1,1));
                k=k+1;
            end
            ty=[ty (t(j-1)+dt)];
            y=[y (x(j-1,1)+dx)];
            j=k;
        end
        for i=2:length(y)
            N=(ty(i)-ty(i-1))/Te;
            N=floor(N)+1;
            for j=1:(N-1)
                z=(y(i-1)+(y(i)-y(i-1))*j/N)/distance_d;
                set(handles(105),'ydata',[z+0.1 z]);
                if (choix_loi==4) zG=gain_sol*sin(2*pi*freq_sol*(ty(i-1)+j*Te))/distance_d; else zG=0; end
                set(handles(106),'ydata', [-0.03+zG zG]);
                pause(Te);
            end
            z=y(i)/distance_d;
            set(handles(105),'ydata',[z+0.1 z]);
            if (choix_loi==4) zG=gain_sol*sin(2*pi*freq_sol*ty(i))/distance_d; else zG=0; end
            set(handles(106),'ydata', [-0.03+zG zG]);
            pause((ty(i)-ty(i-1))-(N-1)*Te);
        end
        
    end

	%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
	%FIN DE LA FONCTION IMBRIQUEE REPLAY%
	%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%FIN DE LA FONCTION PRINCIPALE%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%